import tensorflow  as tf
import random, os, time
import matplotlib.pyplot as plt
import matplotlib.image as mpimg
import numpy as np
from tensorflow.keras.preprocessing import image

class_names = ['left','right']


# Load model
new_model = tf.keras.models.load_model('my_model.h5')


# Load image
folder = r"/home/pi/Desktop/dataset/test/mixed"
imgs = os.listdir(folder)
img = os.path.join(folder, random.choice(imgs))

# Display image

imag=mpimg.imread(img)
imgplot = plt.imshow(imag)
plt.show()


startTime = time.time()

test_image =image.load_img(img, target_size = (64, 64))


# #### Here is the picture picked

test_image

test_image = image.img_to_array(test_image)
test_image = np.expand_dims(test_image, axis = 0)

# ### Classify the Image

result = new_model.predict(test_image)
#training_set.class_indices

print(result)
print('time to predict: ', (time.time()-startTime))
print('''

''')
print(result[0][0])


result = class_names[int(result[0][0])]
print(result)
